var path = require('path'),
    _ = require('underscore'),
    config = require('../lib/config');

describe('Config Parsing', function() {
    var conf;

    beforeEach(function() {
        conf = config.createConfig(_.clone({c: path.join(__dirname, '../examples/basic/ichabod.conf')}));
    });

    it('Should read the specified config file.', function() {
        expect(conf).toBeDefined();
    });

    it('Should covert relative paths to absolute paths.', function() {
        expect(conf.reportsDir.indexOf('/')).toBe(0);
    });

    it('Should expand out glob strings for tests and sources.', function() {
        expect(conf.tests).toEqual(['domFeatureSpec.js','sampleSpec.js']);
    });

    it('Should have zombie as the default runner.', function() {
        expect(conf.runner).toBe('zombie');
    });

    it('Should have firefox as the default browser.', function() {
        expect(conf.browser).toBe('firefox');
    });

    it('Should have jasmine as the default testType.', function() {
        expect(conf.testType).toBe('jasmine');
    });
});
